#include "DataLibrary.hpp"

CreatureLib::Library::DataLibrary::DataLibrary(LibrarySettings* settings, CreatureLib::Library::SpeciesLibrary* species,
                                               CreatureLib::Library::AttackLibrary* attacks,
                                               CreatureLib::Library::ItemLibrary* items,
                                               CreatureLib::Library::GrowthRateLibrary* growthRates,
                                               TypeLibrary* typeLibrary)
    : _settings(settings), _species(species), _attacks(attacks), _items(items), _growthRates(growthRates),
      _typeLibrary(typeLibrary) {
    EnsureNotNull(_settings)
    EnsureNotNull(_species)
    EnsureNotNull(_attacks)
    EnsureNotNull(_items)
    EnsureNotNull(_growthRates)
    EnsureNotNull(_typeLibrary)
}