#ifndef CREATURELIB_DEFINES_HPP
#define CREATURELIB_DEFINES_HPP

#if LEVEL_U8
using level_int_t = uint8_t;
#elif LEVEL_U16
using level_int_t = uint16_t;
#elif LEVEL_U32
using level_int_t = uint32_t;
#elif LEVEL_U64
using level_int_t = uint64_t;
#else
#warning Level size was not specified, falling back to uint8_t
using level_int_t = uint8_t;
#endif

using u8 = uint8_t;
using u16 = uint16_t;
using u32 = uint32_t;
using u64 = uint64_t;

using i8 = int8_t;
using i16 = int16_t;
using i32 = int32_t;
using i64 = int64_t;

#endif // CREATURELIB_DEFINES_HPP
